Debian Bug report logs - #510012
moin: Incorrect path in documentation

version graph

Package: moin; Maintainer for moin is Steve McIntyre <93sam@debian.org>;

Reported by: Jonathan Davies <jpds@ubuntu.com>

Date: Sun, 28 Dec 2008 15:51:01 UTC

Severity: normal

Found in version 1.7.1-1

Fixed in versions 1.8.1-1, moin/1.7.1-3

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#510012; Package moin. (Sun, 28 Dec 2008 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Davies <jpds@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Sun, 28 Dec 2008 15:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Davies <jpds@ubuntu.com>
To: submit@bugs.debian.org
Subject: moin: Incorrect path in documentation
Date: Sun, 28 Dec 2008 15:50:15 +0000
Package: moin
Version: 1.7.1-1

While following the README.Debian file included in the moin package, I came
across the following in configurating Apache (line 32):

    Alias /moin_static170/ "/usr/share/moin/htdocs/"

The MoinMoin wiki came up, but only as text with no images or themes,
whatsoever.

Investigating my logs, I found several errors, such as:

192.168.1.10:443 192.168.1.7 - jpds [28/Dec/2008:16:25:40 +0100] "GET
/moin_static171/modern/css/screen.css HTTP/1.1" 404 293
"https://192.168.1.10/wiki/FrontPage" "Mozilla/5.0 (X11; U; Linux i686;
en-GB; rv:1.9.0.5) Gecko/2008121622 Ubuntu/8.10 (intrepid) Firefox/3.0.5"

The second line of the error shows that the correct path for the documentation
example should be:

    Alias /moin_static171/ "/usr/share/moin/htdocs/"

Please update it.

Cheers,
Jonathan




Reply sent to 510012@bugs.debian.org:
You have taken responsibility. (Sun, 28 Dec 2008 16:24:08 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Davies <jpds@ubuntu.com>:
Bug acknowledged by developer. (Sun, 28 Dec 2008 16:24:08 GMT) Full text and rfc822 format available.

Message #10 received at 510012-done@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Jonathan Davies <jpds@ubuntu.com>, 510012-done@bugs.debian.org
Subject: Re: Bug#510012: moin: Incorrect path in documentation
Date: Sun, 28 Dec 2008 17:22:38 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Sun, Dec 28, 2008 at 03:50:15PM +0000, Jonathan Davies wrote:
>While following the README.Debian file included in the moin package, I came
>across the following in configurating Apache (line 32):
>
>    Alias /moin_static170/ "/usr/share/moin/htdocs/"
>
>The MoinMoin wiki came up, but only as text with no images or themes,
>whatsoever.

Thanks for the bugreport.

This is however a duplicate of bug#507182 which is already prepared and 
will be fixed in next package release (0.8.1-1 which I am finalizing at 
the moment).


Good luck using Debian, and please keep the bugreports flowing :-)


  - Jonas

- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

  [x] quote me freely  [ ] ask before reusing  [ ] keep private
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklXp84ACgkQn7DbMsAkQLj/OgCfVlVsue2no9k0JN4tuptg5Fyx
+pMAoKQ21vpFsq8tN58LiOc6DIna1Qlg
=h0VO
-----END PGP SIGNATURE-----




Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Thu, 15 Jan 2009 23:09:05 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Davies <jpds@ubuntu.com>:
Bug acknowledged by developer. (Thu, 15 Jan 2009 23:09:05 GMT) Full text and rfc822 format available.

Message #15 received at 510012-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 510012-close@bugs.debian.org
Subject: Bug#510012: fixed in moin 1.7.1-3
Date: Thu, 15 Jan 2009 22:47:25 +0000
Source: moin
Source-Version: 1.7.1-3

We believe that the bug you reported is fixed in the latest version of
moin, which is due to be installed in the Debian FTP archive:

moin_1.7.1-3.diff.gz
  to pool/main/m/moin/moin_1.7.1-3.diff.gz
moin_1.7.1-3.dsc
  to pool/main/m/moin/moin_1.7.1-3.dsc
python-moinmoin_1.7.1-3_all.deb
  to pool/main/m/moin/python-moinmoin_1.7.1-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510012@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated moin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 15 Jan 2009 23:38:32 +0100
Source: moin
Binary: python-moinmoin
Architecture: source all
Version: 1.7.1-3
Distribution: testing-proposed-updates
Urgency: low
Maintainer: Jonas Smedegaard <dr@jones.dk>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 python-moinmoin - Python clone of WikiWiki - library
Closes: 510012
Changes: 
 moin (1.7.1-3) testing-proposed-updates; urgency=low
 .
   [ Frank Lin PIAT ]
   * Fix path to moin_static in documentations. Closes: bug#510012
Checksums-Sha1: 
 c303d4b3ca3fae40669a72434271de235cef6bcd 1230 moin_1.7.1-3.dsc
 1a297f8d933d6695b6ec9a1db5730cd7e7bee985 76980 moin_1.7.1-3.diff.gz
 ac83f084f97cf349882fab4222570b039a10dffe 4507150 python-moinmoin_1.7.1-3_all.deb
Checksums-Sha256: 
 0b40936300371f7e556b88f188e82a1ca69f34dc6cbe83aa5996439ab725f5c2 1230 moin_1.7.1-3.dsc
 51a42e9446cd06046d0be9f12d80cee650a63e3524f3c7c8f1a6d0974d27e287 76980 moin_1.7.1-3.diff.gz
 6f0a1dc41d2b4d83b424fa5b58aab1f8d1cacf59564c755f1136b60c6b4565c9 4507150 python-moinmoin_1.7.1-3_all.deb
Files: 
 24b36d3a8f885e1370a86ddbe2959cc3 1230 net optional moin_1.7.1-3.dsc
 4a99d57ac61031c0ff6ba623aa7b5392 76980 net optional moin_1.7.1-3.diff.gz
 9af1df82af6506007d0d18b678495992 4507150 python optional python-moinmoin_1.7.1-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklvu5IACgkQn7DbMsAkQLiKXQCgkWWGDWEKess8OGYUy/Vl3Run
L60AoIqnuWcKishugb50SVW5eJGk3cZN
=vm0w
-----END PGP SIGNATURE-----





Marked as fixed in versions 1.8.1-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:33:14 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:32:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:14:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.